
;--------------------------------------------------------------------------
; ShowVisuals2
;--------------------------------------------------------------------------

showVisuals2

	lda #BACKCOLOR
	sta COLUBK

	lda #$80
	sta VBLANK  	;end screen blank

; Setup Color buffer pointer
;--------------------------------------------------------------------------
	ldx visualPointer
	inx
	cpx #46
	bmi notResetVis
	ldx #0
notResetVis
	stx visualPointer

	sta WSYNC

; Put current note color into buffer
;--------------------------------------------------------------------------

	; Put the next color in the scrolling buffer
	; based on the current note1.

	lda frame
	and #%00001111
	sta temp

	lda note1
	cmp #255
	bne calcColor

	;lda #$44
	;lda frame
	lda #0
	jmp setColor

calcColor
	asl
	asl
	asl
	asl
	asl
	;ora #%00000100

setColor
	and #%11110000
	ora temp	
	
	;ora #%00000100



	sta visualBuffer,x

	sta WSYNC

	; Set the missile colors based on the current note2.

	lda note2

	cmp #255
	bne getColor2

	lda #0
	jmp setColor2

getColor2

	asl
	asl
	asl
	asl
	asl
	ora #%00001000

setColor2

	sta WSYNC

	; draw white line
	lda #TEXTCOLOR
	sta COLUBK



	sta temp16L
	sta COLUP0
	sta COLUP1

	; Enable missiles
	lda #255
	sta ENAM0
	sta ENAM1
;	sta GRP0
;	sta GRP1

	sta WSYNC
	lda visualBuffer+1,x
	sta COLUBK
	sta GRP1
	sta GRP0
	asl
	sta COLUP0
	lsr

	eor #$0F
	and #$0F
	ora temp16L
	sta COLUP1


	;-----------------------------------
	; Blank screen at end of song
	lda measure
	cmp #LASTMEASURE
	bcc showVis

	lda #0
	sta COLUBK
	sta COLUP1
	sta COLUP0
	sta GRP0
	sta GRP1
	sta COLUPF
	sta ENAM0
	sta ENAM1
	sta ENABL

	ldx #171
blankLoop
	sta WSYNC
	dex
	bne blankLoop

	rts

showVis

	

; Draw screen loop
;--------------------------------------------------------------------------
	ldy #42
visualLoop

	sta WSYNC
	
	; Move the missles around every few scanlines
	; based on notes pressed.  This creates some
	; neat patterns.
	lda note1
	asl
	asl
	sta HMP0
	eor #255
	ora #16
	sta HMM0
	lda note2
	asl
	asl
	sta HMP1
	eor #255
	ora #16
	sta HMM1

	sta WSYNC
	sta HMOVE

	sta WSYNC

	; Display the scrolling note-color buffer	
	inx
	cpx #46
	bmi notResetVis2
	ldx #0
notResetVis2
	sta WSYNC
	lda visualBuffer,x
	sta COLUBK
	sta GRP1
	sta GRP0

;	eor #$0F
	asl
	sta COLUP0
	lsr

	eor #$0F
	and #$0F
	ora temp16L
	sta COLUP1

;	lda note1
;	eor #255
;	bne noBlack

;	sta COLUP0
	
noBlack	
	

	dey
	bne visualLoop

; Done drawing screen.  Finish up.
;--------------------------------------------------------------------------
	ldx #3
extraLines
	sta WSYNC
	dex
	bne extraLines

	stx GRP0
	stx GRP1
	
	
	lda #$82
	sta VBLANK	; Finished a screen, blank the beam.

	rts ; showVisuals
