;-------------------------------------------------------------
;-------------------------------------------------------------
; SEATTLE SONG
;-------------------------------------------------------------
;-------------------------------------------------------------


;-------------------------------------------------------------
; Tempo
;-------------------------------------------------------------
TEMPODELAY equ 7



;-------------------------------------------------------------
; Sound Attenuation Array
;-------------------------------------------------------------
; 000=square  001=bass  010=pitfall  011=noise
; 100=buzz    101=lead  110=saw      111=lowbass
soundTurnArray
	byte 9, 0, 5, 9
	byte 0, 7, 9, 0



;-------------------------------------------------------------
; Sound Type Array
;-------------------------------------------------------------
; Default Sound Type Setup:
; 000 0 Square  = 4
; 001 1 Bass    = 6
; 010 2 Pitfall = 7
; 011 3 Noise   = 8
;
; 100 4 Buzz    = 15
; 101 5 Lead    = 12
; 110 6 Saw     = 1
; 111 7 Engine  = 3
;
soundTypeArray
    byte 4,6,7,8
    byte 15,12,1,14


;-------------------------------------------------------------
; Auto High Hat
;-------------------------------------------------------------
hatPattern
	byte 0,0,0,0

	byte %10101010
	byte %10101010
	byte %10001000
	byte %10101010


HATSTART equ 0

HATVOLUME equ 15
HATPITCH equ 0
HATSOUND equ 8


;-------------------------------------------------------------
; Song Data
;-------------------------------------------------------------
song1
	byte 9	; Sync measure
	byte 10 ; Lead in

	byte 11,11,11,11
	byte 12,12,12,12

	byte 11,11,11,11
	byte 12,12,12,12

	; Just the drums:
	; (Here, I'm playing the same
	; drum pattern on both oscillators
	; which gives a phasing effect.)
	byte 1,2,1,3
	byte 1,2,1,3

	; Melody Starts

	byte 1,2,1,3
	byte 1,2,1,3

	byte 4,5,4,6
	byte 4,5,4,6

	;-- triple part

	byte 11,11,11,11 ; intro rthm comes back
	byte 12,12,12,12
	byte 12,12,12,12

	byte 11,11,11,11
	byte 12,12,12,12
	byte 12,12,12,12

	; ambient part

	byte 128,128,128,128
	byte 129,129,129,129

	byte 130,129,130,129
	byte 130,129,130,129

	byte 128,128,128,128
	byte 129,129,129,129

	byte 130,129,130,129
	byte 130,129,130,129

	byte 15,15,15,15
	byte 15,15,15,15
	byte 15,15,15,15
	
	byte 0,0,0,0
	byte 0,0,0,0
	byte 0,0,0,0

	byte 255	

song2
	byte 9	; Sync measure
	byte 10 ; Lead in

	byte 11,11,11,11
	byte 12,12,12,12

	byte 1,2,1,3
	byte 1,2,1,3

	; Just the drums:
	byte 1,2,1,3
	byte 1,2,1,3

	; Melody Starts

	byte 7,7,7,7
	byte 8,8,8,8

	byte 7,7,7,7
	byte 8,8,8,8

	;-- triple part

	byte 7,7,7,7
	byte 8,8,8,8
	byte 13,13,13,13

	byte 7,7,7,7
	byte 8,8,8,8
	byte 13,13,13,13

	; ambient part

	byte 7,7,7,7
	byte 8,8,8,8

	byte 13,13,13,13
	byte 8,8,8,8

	byte 7,7,7,7
	byte 8,8,8,8

	byte 13,13,13,13
	byte 8,8,8,8

	byte 14,14,14,14
	byte 14,14,14,14
	byte 16,16,16,16

	byte 0,0,0,0
	byte 0,0,0,0
	byte 0,0,0,0

	byte 255




;-------------------------------------------------------------
; Pattern Arrays
;-------------------------------------------------------------

	; Higher volume patterns
patternArrayH 						; starts at 0

	; Muted pattern
	word mute,mute,mute,mute			;0

	; My 3 drum patterns
	word KickDrum1a,Snare1a,KickDrum1b,Snare1a	;1
	word KickDrum1a,Snare1a,KickDrum1b,Snare1b	;2
	word KickDrum1a,Snare1a,KickDrum1a,Snare1c	;3

	; My 3 more drum patterns
	word KickDrum2a,Snare2a,KickDrum2b,Snare2a	;4
	word KickDrum2a,Snare2a,KickDrum2b,Snare2b	;5
	word KickDrum2a,Snare2a,KickDrum2a,Snare2c	;6

	word Lead1a, Lead1b, Lead1a, Lead1b		;7
	word Lead2a, Lead2b, Lead2a, Lead2b		;8

	word click1a, click1b, click1b, click1b		;9
	word click1c, click1d, click1d, click1d		;10

	word rthm1a, rthm1b, rthm1a, rthm1b		;11
	word rthm2a, rthm2b, rthm2a, rthm2b		;12

	word Lead3a, Lead3b, Lead3a, Lead3b		;13

	word long1a, long1a, long1a, long1a		;14
	word long1b, long1b, long1b, long1b		;15
	word long2a, long2a, long2a, long2a		;16
	

	; Lower volume patterns
patternArrayL 						; start at 128
	word HLead1a, HLead1b, HLead1a, HLead1b		;128
	word HLead2a, HLead2b, HLead2a, HLead2b		;129
	word HLead3a, HLead3a, HLead3a, HLead3a		;130





;-------------------------------------------------------------
; Pattern Data
;-------------------------------------------------------------
; 000 Square  (high square wave)
; 001 Bass    (fat bass sound)
; 010 Pitfall (sound of hitting a lot in pitfall)
; 011 Noise   (white noise)
; 100 Buzz    (hard buzzy sound)
; 101 Lead    (lower square wave)
; 110 Saw     (sounds kind of like a sawtooth wave)
; 111 Engine  (engine sound)

; Lead melodies
;


long1a
	byte %10101110, %10101110
	byte %10101110, %10101110
	byte %10101110, %10101110
	byte %10101110, %10101110

	byte %10101010

long1b
	byte %10111101, %10111101	
	byte %10111101, %10111101	
	byte %10111101, %10111101	
	byte %10111101, %10111101	

	byte %10101010

long2a
	byte %10100100, %10100100
	byte %10100100, %10100100
	byte %10100100, %10100100
	byte %10100100, %10100100


rthm1a
	byte %11000011, 255
	byte %11000011, 255
	byte %01100000, 255
	byte 255,255

	byte 255

rthm1b
	byte %10001111, %10001110
	byte %10001101, %10001100
	byte %01100000, 255
	byte %11000011, 255

rthm2a
	byte %11000010, 255
	byte %11000010, 255
	byte %01100000, 255
	byte 255,255

	byte 255

rthm2b
	byte %10001111, %10001110
	byte %10001101, %10001100
	byte %01100000, 255
	byte %11000010, 255



click1a
	byte %00001001,255
	byte 255,255
	byte 255,255
	byte 255,255

	byte 255

click1b
	byte %01111000, 255	
	byte 255,255
	byte 255,255
	byte 255,255

	byte 255

click1c
	byte %10101110, 255
	byte 255,255
	byte 255,255
	byte 255,255

	byte 255

click1d
	byte %10111101, 255
	byte 255,255
	byte 255,255
	byte 255,255

	byte 255


Lead1a
	byte %10111010, %10110001
	byte %10111010, %10111010
	byte %10111010, %10110001
	byte %10111010, %10111010

	byte %11001100

Lead1b
	byte %10111010, %10100100
	byte %10111010, %10110001
	byte %10111010, %00001001
	byte %10111010, %10110001

	byte %11001100

Lead2a
	byte %10101110, %10101001
	byte %10101110, %10101110
	byte %10101110, %10101001
	byte %10101110, %10101110

	byte %11001100	

Lead2b
	byte %10101110, %10100100
	byte %10101110, %10101001
	byte %10101110, %10100100
	byte %10101110, %10101001

	byte %11001100	

Lead3a
	byte %10110001, %10101011
	byte %10110001, %10101000 
	byte %10110001, %10110111
	byte %10110001, %10101011

	byte %11001100	

Lead3b
	byte %10110001, 255
	byte %10110001, %10101000 
	byte %10110001, 255
	byte %10110001, %10101011

	byte %11001100	


HLead1a
	byte %00011010, %10110001
	byte %00011010, %10111010
	byte %00011010, %10110001
	byte %00011010, %10111010

	byte %11001100

HLead1b
	byte %00011010, %10100100
	byte %00011010, %10110001
	byte %00011010, %00001001
	byte %00011010, %10110001

	byte %11001100

HLead2a
	byte %00001110, %10101001
	byte %00001110, %10101110
	byte %00001110, %10101001
	byte %00001110, %10101110

	byte %11001100	

HLead2b
	byte %00001110, %10100100
	byte %00001110, %10101001
	byte %00001110, %10100100
	byte %00001110, %10101001

	byte %11001100	

HLead3a
	byte %00010001, %10101011
	byte %00010001, %10101000 
	byte %00010001, %10110111
	byte %00010001, %10101011

	byte %11001100	



; Kick drum parts

KickDrum1a
	byte %10011110, %01111110
	byte 255,255
	byte 255,255
	byte 255,255

	byte %10000000

KickDrum1b
	byte %10011110, 255
	byte 255,255
	byte 255,255
	byte %10011110, 255

	byte %10000000

KickDrum2a
	byte %10011110, %01111110
	byte 255,255
	byte %01100000, 255
	byte 255,255

	byte %10001000

KickDrum2b
	byte %10011110, 255
	byte 255,255
	byte %01100000,255
	byte %10011110, 255

	byte %10001000



; My snare drum parts.  In the pattern arrays I'll
; alternate between kick and snare to make the beat.

Snare1a
	byte %10000100, %01100100
	byte %01100101, %01100101
	byte 255, 255
	byte 255, 255
	
	byte %11000000

Snare1b
	byte %10000100, %01100100
	byte %01100101, %01100101
	byte %10011110, 255
	byte 255, 255
	
	byte %11000000

Snare1c
	byte %10000100, %01100100
	byte %01100101, %01100101
	byte %10000100, %01100100
	byte %10000100, %01100101
	
	byte %11000000

Snare2a
	byte %10000100, %01100100
	byte %01100101, %01100101
	byte %01100000, 255
	byte 255, 255
	
	byte %11001000

Snare2b
	byte %10000100, %01100100
	byte %01100101, %01100101
	byte %01100000, 255
	byte 255, 255
	
	byte %11001000

Snare2c
	byte %10000100, %01100100
	byte %01100101, %01100101
	byte %01100000, %01100100
	byte %10000100, %01100101
	
	byte %11001000



; I always have a muted pattern.
; You'll pretty much always need this.

mute
	byte 255,255,255,255
	byte 255,255,255,255

	byte 255


